Subject: Re: [Autoconf] The Ad-Hoc Configuration Protocol (AHCP)

From: Henning Rogge <[email-masked]>
Date: Wed, 30 Jun 2010 21:16:29 +0200

Am Mittwoch 30 Juni 2010, 21:06:12 schrieb Juliusz Chroboczek:
> Dear Group,
> 
> I'd like to remind you of the existence of The Ad-Hoc Configuration
> Protocol, a protocol roughly based on DHCPv6 but desigigned for Mesh
> Networks.
> 
> You will find a description of the protocol and a sample implementation
> of AHCP on
> 
>   http://www.pps.jussieu.fr/~jch/software/ahcp/
> 
> This page links in particular to a draft document describing the
> protocol,
> 
>   http://www.pps.jussieu.fr/~jch/software/ahcp/draft-chroboczek-ahcp-00.txt
>  
> http://www.pps.jussieu.fr/~jch/software/ahcp/draft-chroboczek-ahcp-00.html

I asked Julius to post a few information about his AHCP. Maybe it would be 
better to start with something which is working on a MANET instead of a 
complete new design based on DHCPv6.

We used AHCP in our testbed at the CCC Decemberin Berlin last year, which is a 
really nasty enviroment for MANETs (we needed 4-5 hops for the 25 meters 
between the conference room and our uplink in the hacking center).

Henning Rogge

-- 
1) You can't win.
2) You can't break even.
3) You can't leave the game.
— The Laws of Thermodynamics, summarized